/*
 * generated by Xtext
 */
package org.eclipse.gemoc.execution.moccml.runstar.xtext.ui.contentassist.antlr;

import java.util.Collection;
import java.util.Map;
import java.util.HashMap;

import org.antlr.runtime.RecognitionException;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser;
import org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser;

import com.google.inject.Inject;

import org.eclipse.gemoc.execution.moccml.runstar.xtext.services.RunstarGrammarAccess;

public class RunstarParser extends AbstractContentAssistParser {
	
	@Inject
	private RunstarGrammarAccess grammarAccess;
	
	private Map<AbstractElement, String> nameMappings;
	
	@Override
	protected org.eclipse.gemoc.execution.moccml.runstar.xtext.ui.contentassist.antlr.internal.InternalRunstarParser createParser() {
		org.eclipse.gemoc.execution.moccml.runstar.xtext.ui.contentassist.antlr.internal.InternalRunstarParser result = new org.eclipse.gemoc.execution.moccml.runstar.xtext.ui.contentassist.antlr.internal.InternalRunstarParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}
	
	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getRuntimeStateRepresentationAccess().getAlternatives_1(), "rule__RuntimeStateRepresentation__Alternatives_1");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getAlternatives_2_0(), "rule__RuntimeStateRepresentation__Alternatives_2_0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getAlternatives_2_1(), "rule__RuntimeStateRepresentation__Alternatives_2_1");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getAlternatives_3(), "rule__RuntimeStateRepresentation__Alternatives_3");
					put(grammarAccess.getVariableAccess().getAlternatives_1(), "rule__Variable__Alternatives_1");
					put(grammarAccess.getTextVarAccess().getAlternatives(), "rule__TextVar__Alternatives");
					put(grammarAccess.getChartVarAccess().getAlternatives(), "rule__ChartVar__Alternatives");
					put(grammarAccess.getRUpdateStrategyAccess().getAlternatives(), "rule__RUpdateStrategy__Alternatives");
					put(grammarAccess.getImportStatementAccess().getAlternatives_2(), "rule__ImportStatement__Alternatives_2");
					put(grammarAccess.getImportJavaStatementAccess().getAlternatives_0(), "rule__ImportJavaStatement__Alternatives_0");
					put(grammarAccess.getRepresentationAccess().getAlternatives_2(), "rule__Representation__Alternatives_2");
					put(grammarAccess.getPaintAccess().getAlternatives_2(), "rule__Paint__Alternatives_2");
					put(grammarAccess.getHoverAccess().getAlternatives_2(), "rule__Hover__Alternatives_2");
					put(grammarAccess.getHoverAccess().getAlternatives_2_0(), "rule__Hover__Alternatives_2_0");
					put(grammarAccess.getEStringAccess().getAlternatives(), "rule__EString__Alternatives");
					put(grammarAccess.getFontStyleAccess().getAlternatives(), "rule__FontStyle__Alternatives");
					put(grammarAccess.getPaintTypeAccess().getAlternatives(), "rule__PaintType__Alternatives");
					put(grammarAccess.getMarkerTypeAccess().getAlternatives(), "rule__MarkerType__Alternatives");
					put(grammarAccess.getStepExecutionAccess().getAlternatives(), "rule__StepExecution__Alternatives");
					put(grammarAccess.getStackShapeAccess().getAlternatives(), "rule__StackShape__Alternatives");
					put(grammarAccess.getStackStrategyAccess().getAlternatives(), "rule__StackStrategy__Alternatives");
					put(grammarAccess.getLineStyleAccess().getAlternatives(), "rule__LineStyle__Alternatives");
					put(grammarAccess.getRBooleanAccess().getAlternatives(), "rule__RBoolean__Alternatives");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getGroup(), "rule__RuntimeStateRepresentation__Group__0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getGroup_1_0(), "rule__RuntimeStateRepresentation__Group_1_0__0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getGroup_1_1(), "rule__RuntimeStateRepresentation__Group_1_1__0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getGroup_2(), "rule__RuntimeStateRepresentation__Group_2__0");
					put(grammarAccess.getVariableAccess().getGroup(), "rule__Variable__Group__0");
					put(grammarAccess.getImageVarAccess().getGroup(), "rule__ImageVar__Group__0");
					put(grammarAccess.getRTDVarAccess().getGroup(), "rule__RTDVar__Group__0");
					put(grammarAccess.getRTDVarAccess().getGroup_3(), "rule__RTDVar__Group_3__0");
					put(grammarAccess.getConstTextVarAccess().getGroup(), "rule__ConstTextVar__Group__0");
					put(grammarAccess.getChartVarAccess().getGroup_0(), "rule__ChartVar__Group_0__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_9(), "rule__ChartVar__Group_0_9__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15(), "rule__ChartVar__Group_0_15__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_0(), "rule__ChartVar__Group_0_15_2_0__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_0_0(), "rule__ChartVar__Group_0_15_2_0_0__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_1(), "rule__ChartVar__Group_0_15_2_1__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_1_0(), "rule__ChartVar__Group_0_15_2_1_0__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_2(), "rule__ChartVar__Group_0_15_2_2__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_2_0(), "rule__ChartVar__Group_0_15_2_2_0__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_3(), "rule__ChartVar__Group_0_15_2_3__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_3_0(), "rule__ChartVar__Group_0_15_2_3_0__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_4(), "rule__ChartVar__Group_0_15_2_4__0");
					put(grammarAccess.getChartVarAccess().getGroup_0_15_2_4_0(), "rule__ChartVar__Group_0_15_2_4_0__0");
					put(grammarAccess.getChartVarAccess().getGroup_1(), "rule__ChartVar__Group_1__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup(), "rule__DecoratedTextVar__Group__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_0(), "rule__DecoratedTextVar__Group_6_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_0_0(), "rule__DecoratedTextVar__Group_6_0_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_1(), "rule__DecoratedTextVar__Group_6_1__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_1_0(), "rule__DecoratedTextVar__Group_6_1_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_2(), "rule__DecoratedTextVar__Group_6_2__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_2_0(), "rule__DecoratedTextVar__Group_6_2_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_3(), "rule__DecoratedTextVar__Group_6_3__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_3_0(), "rule__DecoratedTextVar__Group_6_3_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_4(), "rule__DecoratedTextVar__Group_6_4__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_4_0(), "rule__DecoratedTextVar__Group_6_4_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_5(), "rule__DecoratedTextVar__Group_6_5__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_5_0(), "rule__DecoratedTextVar__Group_6_5_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_6(), "rule__DecoratedTextVar__Group_6_6__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_6_0(), "rule__DecoratedTextVar__Group_6_6_0__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_7(), "rule__DecoratedTextVar__Group_6_7__0");
					put(grammarAccess.getDecoratedTextVarAccess().getGroup_6_7_0(), "rule__DecoratedTextVar__Group_6_7_0__0");
					put(grammarAccess.getRStrategyAccess().getGroup(), "rule__RStrategy__Group__0");
					put(grammarAccess.getRUpdateStrategyAccess().getGroup_0(), "rule__RUpdateStrategy__Group_0__0");
					put(grammarAccess.getRUpdateStrategyAccess().getGroup_1(), "rule__RUpdateStrategy__Group_1__0");
					put(grammarAccess.getRUpdateStrategyAccess().getGroup_2(), "rule__RUpdateStrategy__Group_2__0");
					put(grammarAccess.getImportStatementAccess().getGroup(), "rule__ImportStatement__Group__0");
					put(grammarAccess.getImportStatementAccess().getGroup_2_1(), "rule__ImportStatement__Group_2_1__0");
					put(grammarAccess.getImportJavaStatementAccess().getGroup(), "rule__ImportJavaStatement__Group__0");
					put(grammarAccess.getImportJavaStatementAccess().getGroup_0_0(), "rule__ImportJavaStatement__Group_0_0__0");
					put(grammarAccess.getImportJavaStatementAccess().getGroup_0_1(), "rule__ImportJavaStatement__Group_0_1__0");
					put(grammarAccess.getQualifiedNameWithWildCardAccess().getGroup(), "rule__QualifiedNameWithWildCard__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup(), "rule__QualifiedName__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup_1(), "rule__QualifiedName__Group_1__0");
					put(grammarAccess.getRepresentationAccess().getGroup(), "rule__Representation__Group__0");
					put(grammarAccess.getPaintAccess().getGroup(), "rule__Paint__Group__0");
					put(grammarAccess.getPaintAccess().getGroup_3_0(), "rule__Paint__Group_3_0__0");
					put(grammarAccess.getPaintAccess().getGroup_3_1(), "rule__Paint__Group_3_1__0");
					put(grammarAccess.getPaintAccess().getGroup_5(), "rule__Paint__Group_5__0");
					put(grammarAccess.getMarkAccess().getGroup(), "rule__Mark__Group__0");
					put(grammarAccess.getMarkAccess().getGroup_3(), "rule__Mark__Group_3__0");
					put(grammarAccess.getHoverAccess().getGroup(), "rule__Hover__Group__0");
					put(grammarAccess.getHoverAccess().getGroup_2_0_1(), "rule__Hover__Group_2_0_1__0");
					put(grammarAccess.getHoverAccess().getGroup_2_1(), "rule__Hover__Group_2_1__0");
					put(grammarAccess.getHoverAccess().getGroup_3(), "rule__Hover__Group_3__0");
					put(grammarAccess.getCommentAccess().getGroup(), "rule__Comment__Group__0");
					put(grammarAccess.getLabelAccess().getGroup(), "rule__Label__Group__0");
					put(grammarAccess.getImageAccess().getGroup(), "rule__Image__Group__0");
					put(grammarAccess.getImageAccess().getGroup_3_0(), "rule__Image__Group_3_0__0");
					put(grammarAccess.getImageAccess().getGroup_3_1(), "rule__Image__Group_3_1__0");
					put(grammarAccess.getImageAccess().getGroup_3_2(), "rule__Image__Group_3_2__0");
					put(grammarAccess.getStackAccess().getGroup(), "rule__Stack__Group__0");
					put(grammarAccess.getStackAccess().getGroup_3_0(), "rule__Stack__Group_3_0__0");
					put(grammarAccess.getStackAccess().getGroup_3_1(), "rule__Stack__Group_3_1__0");
					put(grammarAccess.getStackAccess().getGroup_3_2(), "rule__Stack__Group_3_2__0");
					put(grammarAccess.getStackAccess().getGroup_3_3(), "rule__Stack__Group_3_3__0");
					put(grammarAccess.getStackAccess().getGroup_3_4(), "rule__Stack__Group_3_4__0");
					put(grammarAccess.getStackAccess().getGroup_3_5(), "rule__Stack__Group_3_5__0");
					put(grammarAccess.getRColorAccess().getGroup(), "rule__RColor__Group__0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getNameAssignment_1_0_3(), "rule__RuntimeStateRepresentation__NameAssignment_1_0_3");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getNameAssignment_1_1_1(), "rule__RuntimeStateRepresentation__NameAssignment_1_1_1");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getModelImportsAssignment_2_0_0(), "rule__RuntimeStateRepresentation__ModelImportsAssignment_2_0_0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getClassImportsAssignment_2_0_1(), "rule__RuntimeStateRepresentation__ClassImportsAssignment_2_0_1");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getModelImportsAssignment_2_1_0(), "rule__RuntimeStateRepresentation__ModelImportsAssignment_2_1_0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getClassImportsAssignment_2_1_1(), "rule__RuntimeStateRepresentation__ClassImportsAssignment_2_1_1");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getVariablesAssignment_3_0(), "rule__RuntimeStateRepresentation__VariablesAssignment_3_0");
					put(grammarAccess.getRuntimeStateRepresentationAccess().getRepresentationsAssignment_3_1(), "rule__RuntimeStateRepresentation__RepresentationsAssignment_3_1");
					put(grammarAccess.getImageVarAccess().getPathAssignment_2(), "rule__ImageVar__PathAssignment_2");
					put(grammarAccess.getImageVarAccess().getStrategyAssignment_3(), "rule__ImageVar__StrategyAssignment_3");
					put(grammarAccess.getImageVarAccess().getNameAssignment_6(), "rule__ImageVar__NameAssignment_6");
					put(grammarAccess.getRTDVarAccess().getAttributesAssignment_2(), "rule__RTDVar__AttributesAssignment_2");
					put(grammarAccess.getRTDVarAccess().getAttributesAssignment_3_1(), "rule__RTDVar__AttributesAssignment_3_1");
					put(grammarAccess.getRTDVarAccess().getStrategyAssignment_4(), "rule__RTDVar__StrategyAssignment_4");
					put(grammarAccess.getRTDVarAccess().getNameAssignment_7(), "rule__RTDVar__NameAssignment_7");
					put(grammarAccess.getConstTextVarAccess().getValueAssignment_2(), "rule__ConstTextVar__ValueAssignment_2");
					put(grammarAccess.getConstTextVarAccess().getStrategyAssignment_3(), "rule__ConstTextVar__StrategyAssignment_3");
					put(grammarAccess.getConstTextVarAccess().getNameAssignment_6(), "rule__ConstTextVar__NameAssignment_6");
					put(grammarAccess.getChartVarAccess().getXrtdAssignment_0_4(), "rule__ChartVar__XrtdAssignment_0_4");
					put(grammarAccess.getChartVarAccess().getYrtdsAssignment_0_8(), "rule__ChartVar__YrtdsAssignment_0_8");
					put(grammarAccess.getChartVarAccess().getYrtdsAssignment_0_9_1(), "rule__ChartVar__YrtdsAssignment_0_9_1");
					put(grammarAccess.getChartVarAccess().getPathAssignment_0_13(), "rule__ChartVar__PathAssignment_0_13");
					put(grammarAccess.getChartVarAccess().getTitleAssignment_0_15_2_0_0_2(), "rule__ChartVar__TitleAssignment_0_15_2_0_0_2");
					put(grammarAccess.getChartVarAccess().getXlabelAssignment_0_15_2_1_0_2(), "rule__ChartVar__XlabelAssignment_0_15_2_1_0_2");
					put(grammarAccess.getChartVarAccess().getYlabelAssignment_0_15_2_2_0_2(), "rule__ChartVar__YlabelAssignment_0_15_2_2_0_2");
					put(grammarAccess.getChartVarAccess().getNbValuesDisplayedAssignment_0_15_2_3_0_2(), "rule__ChartVar__NbValuesDisplayedAssignment_0_15_2_3_0_2");
					put(grammarAccess.getChartVarAccess().getLineStyleAssignment_0_15_2_4_0_2(), "rule__ChartVar__LineStyleAssignment_0_15_2_4_0_2");
					put(grammarAccess.getChartVarAccess().getNameAssignment_0_15_5(), "rule__ChartVar__NameAssignment_0_15_5");
					put(grammarAccess.getChartVarAccess().getNameAssignment_1_1(), "rule__ChartVar__NameAssignment_1_1");
					put(grammarAccess.getDecoratedTextVarAccess().getDecoratedAssignment_2(), "rule__DecoratedTextVar__DecoratedAssignment_2");
					put(grammarAccess.getDecoratedTextVarAccess().getPrefixAssignment_6_0_0_2(), "rule__DecoratedTextVar__PrefixAssignment_6_0_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getSuffixAssignment_6_1_0_2(), "rule__DecoratedTextVar__SuffixAssignment_6_1_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getFontAssignment_6_2_0_2(), "rule__DecoratedTextVar__FontAssignment_6_2_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getFontSizeAssignment_6_3_0_2(), "rule__DecoratedTextVar__FontSizeAssignment_6_3_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getFontStyleAssignment_6_4_0_2(), "rule__DecoratedTextVar__FontStyleAssignment_6_4_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getColorAssignment_6_5_0_2(), "rule__DecoratedTextVar__ColorAssignment_6_5_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getErrorTextAssignment_6_6_0_2(), "rule__DecoratedTextVar__ErrorTextAssignment_6_6_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getErrorColorAssignment_6_7_0_2(), "rule__DecoratedTextVar__ErrorColorAssignment_6_7_0_2");
					put(grammarAccess.getDecoratedTextVarAccess().getNameAssignment_9(), "rule__DecoratedTextVar__NameAssignment_9");
					put(grammarAccess.getRStrategyAccess().getOnConceptAssignment_1(), "rule__RStrategy__OnConceptAssignment_1");
					put(grammarAccess.getRStrategyAccess().getOwnedUpdateStrategyAssignment_2(), "rule__RStrategy__OwnedUpdateStrategyAssignment_2");
					put(grammarAccess.getRUpdateStrategyAccess().getStepExecutionAssignment_0_0(), "rule__RUpdateStrategy__StepExecutionAssignment_0_0");
					put(grammarAccess.getRUpdateStrategyAccess().getStepExecutionAssignment_1_0(), "rule__RUpdateStrategy__StepExecutionAssignment_1_0");
					put(grammarAccess.getRUpdateStrategyAccess().getEventsAssignment_1_1(), "rule__RUpdateStrategy__EventsAssignment_1_1");
					put(grammarAccess.getRUpdateStrategyAccess().getEventsAssignment_2_1(), "rule__RUpdateStrategy__EventsAssignment_2_1");
					put(grammarAccess.getRUpdateStrategyAccess().getEventsAssignment_2_3(), "rule__RUpdateStrategy__EventsAssignment_2_3");
					put(grammarAccess.getImportStatementAccess().getImportURIAssignment_1(), "rule__ImportStatement__ImportURIAssignment_1");
					put(grammarAccess.getImportStatementAccess().getAliasAssignment_2_0(), "rule__ImportStatement__AliasAssignment_2_0");
					put(grammarAccess.getImportStatementAccess().getAliasAssignment_2_1_1(), "rule__ImportStatement__AliasAssignment_2_1_1");
					put(grammarAccess.getImportJavaStatementAccess().getImportedNamespaceAssignment_0_0_1(), "rule__ImportJavaStatement__ImportedNamespaceAssignment_0_0_1");
					put(grammarAccess.getImportJavaStatementAccess().getImportedNamespaceAssignment_0_1_1(), "rule__ImportJavaStatement__ImportedNamespaceAssignment_0_1_1");
					put(grammarAccess.getPaintAccess().getColorAssignment_2_0(), "rule__Paint__ColorAssignment_2_0");
					put(grammarAccess.getPaintAccess().getTypeAssignment_3_0_3(), "rule__Paint__TypeAssignment_3_0_3");
					put(grammarAccess.getPaintAccess().getPersistentAssignment_3_1_3(), "rule__Paint__PersistentAssignment_3_1_3");
					put(grammarAccess.getPaintAccess().getOnConceptAssignment_5_1(), "rule__Paint__OnConceptAssignment_5_1");
					put(grammarAccess.getPaintAccess().getOwnedUpdateStrategyAssignment_6(), "rule__Paint__OwnedUpdateStrategyAssignment_6");
					put(grammarAccess.getMarkAccess().getTextAssignment_2(), "rule__Mark__TextAssignment_2");
					put(grammarAccess.getMarkAccess().getMarkerTypeAssignment_3_3(), "rule__Mark__MarkerTypeAssignment_3_3");
					put(grammarAccess.getHoverAccess().getTextAssignment_2_0_0(), "rule__Hover__TextAssignment_2_0_0");
					put(grammarAccess.getHoverAccess().getImageAssignment_2_0_1_2(), "rule__Hover__ImageAssignment_2_0_1_2");
					put(grammarAccess.getHoverAccess().getTextAssignment_2_1_0(), "rule__Hover__TextAssignment_2_1_0");
					put(grammarAccess.getHoverAccess().getImageAssignment_2_1_4(), "rule__Hover__ImageAssignment_2_1_4");
					put(grammarAccess.getHoverAccess().getFromStartAssignment_3_3(), "rule__Hover__FromStartAssignment_3_3");
					put(grammarAccess.getCommentAccess().getTextAssignment_2(), "rule__Comment__TextAssignment_2");
					put(grammarAccess.getLabelAccess().getTextAssignment_2(), "rule__Label__TextAssignment_2");
					put(grammarAccess.getImageAccess().getImageAssignment_2(), "rule__Image__ImageAssignment_2");
					put(grammarAccess.getImageAccess().getInitialSizeAssignment_3_0_3(), "rule__Image__InitialSizeAssignment_3_0_3");
					put(grammarAccess.getImageAccess().getDepthAssignment_3_1_3(), "rule__Image__DepthAssignment_3_1_3");
					put(grammarAccess.getImageAccess().getTextAssignment_3_2_3(), "rule__Image__TextAssignment_3_2_3");
					put(grammarAccess.getStackAccess().getTextAssignment_2(), "rule__Stack__TextAssignment_2");
					put(grammarAccess.getStackAccess().getMaxLengthAssignment_3_0_3(), "rule__Stack__MaxLengthAssignment_3_0_3");
					put(grammarAccess.getStackAccess().getIsVerticalAssignment_3_1_3(), "rule__Stack__IsVerticalAssignment_3_1_3");
					put(grammarAccess.getStackAccess().getShapeAssignment_3_2_3(), "rule__Stack__ShapeAssignment_3_2_3");
					put(grammarAccess.getStackAccess().getStrategyAssignment_3_3_3(), "rule__Stack__StrategyAssignment_3_3_3");
					put(grammarAccess.getStackAccess().getTitleAssignment_3_4_3(), "rule__Stack__TitleAssignment_3_4_3");
					put(grammarAccess.getStackAccess().getDepthAssignment_3_5_3(), "rule__Stack__DepthAssignment_3_5_3");
					put(grammarAccess.getRColorAccess().getRedAssignment_1(), "rule__RColor__RedAssignment_1");
					put(grammarAccess.getRColorAccess().getGreenAssignment_3(), "rule__RColor__GreenAssignment_3");
					put(grammarAccess.getRColorAccess().getBlueAssignment_5(), "rule__RColor__BlueAssignment_5");
					put(grammarAccess.getChartVarAccess().getUnorderedGroup_0_15_2(), "rule__ChartVar__UnorderedGroup_0_15_2");
					put(grammarAccess.getDecoratedTextVarAccess().getUnorderedGroup_6(), "rule__DecoratedTextVar__UnorderedGroup_6");
					put(grammarAccess.getPaintAccess().getUnorderedGroup_3(), "rule__Paint__UnorderedGroup_3");
					put(grammarAccess.getImageAccess().getUnorderedGroup_3(), "rule__Image__UnorderedGroup_3");
					put(grammarAccess.getStackAccess().getUnorderedGroup_3(), "rule__Stack__UnorderedGroup_3");
				}
			};
		}
		return nameMappings.get(element);
	}
	
	@Override
	protected Collection<FollowElement> getFollowElements(AbstractInternalContentAssistParser parser) {
		try {
			org.eclipse.gemoc.execution.moccml.runstar.xtext.ui.contentassist.antlr.internal.InternalRunstarParser typedParser = (org.eclipse.gemoc.execution.moccml.runstar.xtext.ui.contentassist.antlr.internal.InternalRunstarParser) parser;
			typedParser.entryRuleRuntimeStateRepresentation();
			return typedParser.getFollowElements();
		} catch(RecognitionException ex) {
			throw new RuntimeException(ex);
		}		
	}
	
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}
	
	public RunstarGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(RunstarGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
